@import url('https://fonts.googleapis.com/css2?family=Anton+SC&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');

:root {
    --purple: linear-gradient(135deg, #66d4c2, #2bca6a);
    --purple-light: rgb(184, 147, 197);
    --purple-pink: #49c293;
    --purple-gray: rgb(69, 60, 71);
    --purple-dark: #13172c;
    --purple-dark-nav: rgb(14, 4, 23);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
}

body {
    transition: .3s ease all;
}

body.dark {
    background-color: var(--purple-dark);
    color: white;
}


.gradient {
    width: 100%;
    height: auto;
    background: linear-gradient(-45deg, #b7ffdf, #fcfff6, #dffff1, #f9edff);
    background-size: 400% 400%;
    animation: gradient 4s ease infinite;
}

body.dark .gradient {
    background: linear-gradient(-45deg, #13172c, #323750, #282c41, #13172c);
    background-size: 400% 400%;
    animation: gradient 4s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

/* HEADER */
.abrir-menu,
.cerrar-menu {
    display: none;
}

header {
    background: var(--purple);
    position: fixed;
    width: 100%;
    z-index: 1000;
    display: flex;
    justify-content: center;
    padding: 15px 0;
}

body.dark header,
body.dark footer {
    /* background: linear-gradient(135deg, rgb(67, 48, 84), rgb(14, 4, 23)); */
    background: linear-gradient(135deg, rgb(35, 42, 75), #13172c);


}


nav {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 0 20px;
}

nav ul {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 20px;
}

nav a {
    color: white;
    font-weight: bold;
    padding: 15px;
}


nav a:hover {
    background: linear-gradient(120deg, #f2e2ff, #00a67f);
    border-radius: 40px;
    width: 100%;
    margin: auto;
    text-align: center;
    color: rgb(7, 7, 38);
}

.btnProyectos:hover,
footer button:hover,
footer button i:hover {
    background-color: var(--purple-pink);
    color: black;
}

.switch {
    background-color: #343D5B;
    border-radius: 1000px;
    border: none;
    position: relative;
    cursor: pointer;
    display: flex;
    outline: none;
    transition: .3s ease all;
}

.switch::after {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    background: #F1F1F1;
    top: 0;
    left: 0;
    right: unset;
    border-radius: 100px;
    transition: .3s ease all;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, .2);
}

.switch.active {
    background-color: orange;
    color: #000;
}

.switch.active::after {
    right: 0;
    left: unset;
}

.switch span {
    width: 30px;
    height: 30px;
    line-height: 30px;
    display: block;
    background: none;
    color: #fff;
}




/* MAIN */
main {
    margin: auto;
}

/* 
hr {
    border: 1px dashed;
    color: #a5a8af;
} */

body.dark .hero {
    /* background-image: linear-gradient(rgba(0, 0, 0, .6), hsla(0, 0%, 100%, .2)), url(../img/desarrollo.jpg); */
    /* background-image: linear-gradient(rgb(46 40 47 / 80%), rgb(29 27 29 / 79%)), url(../img/desarrollo.jpg); */
    background-color: var(--purple-dark);
}

.hero {
    background-color: #ffffff;
}

.hero-content {
    width: 80%;
    min-height: 90vh;
    margin: auto;

    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-around;
    gap: 20px;
    padding-top: 100px;
    padding-bottom: 60px;

}

.img-foto {
    width: 300px;
    /* border-radius: 29% 71% 28% 72%/66% 21% 79% 34%; */
    mask-image: linear-gradient(black 80%, transparent);
    padding-top: 20px;
}

.img-hero {
    width: 285px;
    border: .5vh dashed black;
    border-radius: 20px;
    padding: 1.5vh;
}

body.dark .img-hero {
    border: .5vh dashed rgb(200, 200, 200);
}

.hero .switch {
    background-color: rgba(107, 225, 255, 0.508);
    background-image: url('https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg7NUXcsb_x9Hu4RxijImdFb0Q7Uvj7DnHpetchx2wcsvYi5dGUu4aPjVjcADx2COZlHom6KUa6TpbcSakPvAi4O6NZQZiCWr3so8q9Zl2h2gw0MTnpc7OWsABOGdB3pwIFZYNbWlWFWLs/s0/Flag_of_the_United_Kingdom.gif');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    color: white;
    transition: .3s ease all;

}

.hero .switch span {
    color: black;
    font-weight: bold;
}

.hero .switch.active {
    background-color: rgba(157, 255, 157, 0.49);
    background-image: url('../img/banderas.gif');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    transition: .3s ease all;

}

.hero .switch:after {
    border: 2px solid rgba(0, 0, 0, 0.53);
}

.presentacion {
    font-size: 30px;
    display: flex;
    flex-direction: column;
    align-items: start;
    text-align: start;
    gap: 20px;

    width: 40%;
}

.presentacion span {
    color: var(--purple-pink);
}

body.dark .presentacion span {
    color: var(--purple-pink);
}

body.dark .presentacion .idiomaSection span {
    color: black;
}

.hero-description {
    font-size: 15px;
    font-weight: bold;
    letter-spacing: 1.2px;
}


.idiomaSection {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.idiomaSection p {
    color: black;
    font-size: 0.8em;
}

body.dark .idiomaSection p {
    color: white;
}

/* Perfil */
.profile {
    text-align: center;
}

.profile .perfil-descripcion {
    padding: 50px 0;
}

.anton-sc-regular {
    font-family: "Anton SC", sans-serif;
    font-weight: 400;
    font-style: normal;
}


.perfil-descripcion {
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: justify;
    margin: auto;
}

/* Tecnologias */
.technologies {
    text-align: center;
    display: flex;
    flex-direction: column;
    margin: auto;
}


.title-tech {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.title-tech img {
    padding: 20px 0;
    width: 200px !important;
}

.title {
    font-size: 2.3em;
    color: var(--purple-pink);
    padding: 20px 0;
}


.herramientas {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
    padding: 30px;
    margin: auto;
    gap: 30px;
}


.tipos-herramientas {
    width: 100%;
    display: flex;
    flex-flow: column wrap;
    gap: 30px;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s;
}

.tipos-herramientas:hover {
    transform: translateY(-10px);
}

.tipos-herramientas h4 {
    margin-bottom: 20px;
    font-size: 24px;
    color: #333333;
}

body.dark .tipos-herramientas h4 {
    color: #ffffff;
}


.card-herramientas {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}


.herramienta {
    width: 100px;
    height: 120px;
    background: #f0f0f0;
    border: 2px solid #d0d0d0;
    border-radius: 4px;
    box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: transform 0.2s ease;
    position: relative;
}

body.dark .herramienta {
    background: rgba(13, 4, 35, 0.667);
    border: 2px solid #282d34;
}

.herramienta::before {
    content: '';
    width: 60%;
    height: 10px;
    background: #d0d0d0;
    border-radius: 2px 2px 0 0;
    position: absolute;
    top: -10px;
    left: 20%;
}

body.dark .herramienta::before {
    background: #080123;
}

.herramienta:hover {
    transform: scale(1.05);
}

.herramienta img {
    width: 50px;
    height: 50px;
}

.herramienta .descripcion {
    font-size: 0.8em;
    text-align: center;
    padding: 5px;
}

.descripcion {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: white;
    color: black;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 100;
    width: 20vw;
}

.herramienta:hover .descripcion {
    display: block;
}

.herramienta {
    position: relative;
    z-index: 1;
}

.herramienta:hover {
    z-index: 101;
}


/* Media Query para pantallas pequeñas */
@media (max-width: 439px) {
    .descripcion {
        left: 50%;
        transform: translateX(-50%);
    }


    .herramienta .descripcion {
        font-size: 0.9em;
        width: 50vw;
    }

    /* Ajuste específico para el último elemento de cada fila */
    .card-herramientas .herramienta:last-child:hover .descripcion {
        top: -100%;
    }
}

/* PROJECTS */
.projects {
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    position: relative;
}

.projects .img-title {
    width: 200px;
    padding-top: 20px;

}

.projects .img-title:hover {
    transition: transform 0.3s ease;
    transform: scale(1.2);
}

.projects h4 {
    padding: 30px;
    width: 300px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    text-align: center;
}

body.dark .projects h4 {
    background-color: #080123;

}

.cards-projects {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 30px;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 40px 0;

}

.project {
    width: 100%;
    height: 430px;
    max-width: 400px;
    background-color: #ffffff;
    border-radius: 20px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);

    position: relative;
    overflow: hidden;
    margin-bottom: 20px;

}

body.dark .project {
    background-color: #080123;
}

.design .project {
    height: 400px;
}

.img-project {

    border-radius: 20px 20px 0 0;

    width: 100%;
    height: 200px;
    display: block;
}

.project-content {
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    flex-grow: 1;


    background: #fff;
}

body.dark .project-content {
    background: #080123;
}

.project-content p {
    text-align: justify;
}

.project-content h6 {
    display: flex;
    gap: 20px;
    color: #989898;
}

.project-content h3 {
    text-align: center;
}

.project-info {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: linear-gradient(to bottom, rgba(5, 45, 40, 0.897), rgb(18, 19, 18));  */
    background: linear-gradient(to bottom, #020806f1, rgb(40, 49, 82));
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: justify;
    color: white;
    gap: 30px;
    opacity: 0;
    transition: opacity 0.3s ease;
    flex-direction: column;
}

body.dark .project-info {
    background: linear-gradient(to bottom, #49c294f1, rgb(40, 49, 82));
    border: none;
}


.project:hover .project-info {
    opacity: 1;
}

.project-info-description {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
}

.project-info-description h5 {
    text-align: center;
    font-size: 1.2em;
}

.icon-container {
    display: flex;
    justify-content: space-around;
    width: 100%;
}

.icon-link {
    text-align: center;
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
}

.icon-link i {
    font-size: 3em;
}

.icon-link span {
    display: block;
    margin-top: 5px;
    font-size: 1em;
}

.icon-link:hover {
    color: var(--purple-pink);
}

/**/

.in-process {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.in-process h6 {
    font-size: 1em;
}

.img-in-process {
    width: 100px;
}

/* Skills */
#skills {
    padding-bottom: 60px;
}

.skills-content {
    width: 80%;
    margin: auto;
}

#skills h3 {
    text-align: center;
}

#skills .skills-description {
    padding-bottom: 20px;
}

#skills .skills-description p {
    padding: 20px 0;
    text-align: justify;
}

.skills {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

/* Footer */
footer {
    position: relative;
    bottom: 0;
    width: 100%;
    height: auto;
    background: var(--purple);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: row-reverse wrap;
}

footer div {
    display: flex;
    padding: 10px;
    gap: 20px;
}

footer button {
    border-radius: 10px;
    border: 1px solid white;
    background: var(--purple);
    padding: 10px 15px;
}

body.dark footer button {
    background: linear-gradient(135deg, rgb(35, 42, 75), #13172c);
}

footer i {
    color: white;
    font-size: 2em;
}

footer a {
    color: white;
}


footer a:hover {
    color: rgb(7, 7, 38);
    font-weight: bold;
}

footer button:hover {
    border: 2px solid rgb(7, 7, 38);
}

body.dark footer a:hover,
body.dark footer a i:hover {
    color: var(--purple-pink);
}

body.dark button:hover {
    border-color: var(--purple-pink);
}

footer a i:hover {
    color: rgb(7, 7, 38);
}

body.dark footer a i:hover {
    background: linear-gradient(135deg, rgb(35, 42, 75), #13172c);

}






@media screen and (max-width: 1104px) {
    .presentacion {
        width: 100%;
    }

    .hero-content {
        flex-direction: column-reverse;
        flex-wrap: wrap;
    }

    .hero .img-hero {
        border-radius: 50%;
        width: 280px;
    }

    .presentacion {
        align-items: center;
        text-align: center;
    }
}

@media screen and (max-width: 960px) {


    /* HERO */
    .hero {
        height: auto;
        min-height: 60vw;
    }

    .img-foto {
        width: 200px;
    }

    .presentacion {
        font-size: 25px;
    }

    /* MAIN */
    .perfil-descripcion {
        width: 70%;
        padding: 50px 0;
    }

    .descripcion {
        left: 50%;
        transform: translateX(-50%);
        width: 30vw;
    }

    #tecnologias {
        padding: 50px 0;
    }

}

@media screen and (max-width: 731px) {

    /* Header */
    .abrir-menu,
    .cerrar-menu {
        display: block;
        border: 0;
        background-color: transparent;
        color: var(--purple-dark-nav);
        font-size: 1.3em;
        cursor: pointer;
    }

    body.dark .abrir-menu,
    body.dark .cerrar-menu {
        color: var(--purple-pink);
    }

    .abrir-menu:hover,
    .cerrar-menu:hover {
        color: var(--purple-pink);
    }

    nav {
        background-color: #ccc;
        position: absolute;
        top: 53.2px;
        right: 0;
        width: 100%;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .6);
        display: none;
        /* Inicialmente oculto */
    }

    nav.mostrar {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 10px;
        padding-top: 20px;
    }

    nav ul {
        flex-direction: column;
        width: 100%;
        gap: 0;
    }

    nav li {
        display: flex;
        justify-content: center;
        transition: all 0.5s ease-in-out;
    }

    nav a {
        color: var(--purple-dark-nav);
    }

    header .switch {
        margin-bottom: 20px;
    }

    /* Proeyctos */
    .titulo-proyectos img {
        width: 300px;
    }

    #proyectos h2 {
        font-size: 2em;
    }

    .cards {
        width: 80vw;
    }

    .cards img {
        width: 50vw;
    }

    .contenido-proyectos {
        padding: 30px 0px;
    }
}

@media screen and (max-width: 430px) {

    h1 {
        padding: 10px;
    }
}